Bug 1270811 - FirewallD prevents Vagrant NFS mounts from working
FirewallD prevents Vagrant NFS mounts from working
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 08:41 EDT by Stef Walter
Modified: 2016-12-20 09:57 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:57:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stef Walter 2015-10-12 08:41:27 EDT
Description of problem:

When using Vagrant in Fedora 23, FirewallD prevents Vagrant from sharing a directory between the local Vagrant VM and the host machine. Vagrant uses NFS for this task.

Version-Release number of selected component (if applicable):

firewalld-0.3.14.2-4.fc23.noarch
vagrant-1.7.4-1.fc23.noarch
vagrant-libvirt-0.0.30-5.fc23.noarch

How reproducible:

Every time.

Steps to Reproduce:
1. git clone http://github.com/cockpit-project/cockpit
2. cd cockpit
3. sudo yum install vagrant vagrant-libvirt
4. sudo vagrant up

Actual results:

Hangs for 15 minutes waiting for NFS

Expected results:

Mount succeeds within seconds.

Additional info:

 * Workaround is: firewall-cmd --set-default-zone=trusted
 * The local virtualization interfaces like virbr0 and virbr1 never have packet filtering for local traffic.
Comment 1 Stef Walter 2015-10-12 08:41:57 EDT
That should say: The local virtualization interfaces like virbr0 and virbr1 *should* never have packet filtering for local traffic.
Comment 2 Thomas Woerner 2015-10-23 10:58:34 EDT
You could simply set the zone for your bridge devices to trusted in your environment.

Simply allowing any traffic for guests using bridges is not a secure solution. I think it would be bad to make security an opt in feature.
Comment 3 Stef Walter 2015-10-27 16:42:40 EDT
> Simply allowing any traffic for guests using bridges is not a secure solution. I think it would be bad to make security an opt in feature.

Libvirt comes with its own firewall rules for guests. See nwfilter. I don't understand why we need two competing firewalls fighting over libvirt bridges?

https://libvirt.org/formatnwfilter.html
Comment 4 Thomas Woerner 2015-10-28 10:59:09 EDT
Yes, libvirt comes with own rules for guests to be able to make the guests accessible.

I am adding Daniel P. Berrangé to this bug.

Daniel, what is your opinion on this?
Comment 5 Tariq Islam 2015-11-24 10:40:51 EST
(In reply to Thomas Woerner from comment #2)
> You could simply set the zone for your bridge devices to trusted in your
> environment.

On F22, this doesn't do the trick, unfortunately. See output below
firewall-cmd --list-all --zone=trusted
trusted (active)
  interfaces: virbr0 virbr1
  sources: 
  services: 
  ports: 
  masquerade: no
  forward-ports: 
  icmp-blocks: 
  rich rules: 

Despite that, NFS mount hangs on 'vagrant up'
Comment 6 Daniel Berrange 2016-10-10 07:29:14 EDT
(In reply to Thomas Woerner from comment #4)
> Yes, libvirt comes with own rules for guests to be able to make the guests
> accessible.
> 
> I am adding Daniel P. Berrangé to this bug.
> 
> Daniel, what is your opinion on this?

The host should treat guest OS traffic as if it were malicious, just like it would for any LAN traffic.  If the host admin wants to open their host services to permit guest access that should always be an explicit opt-in decision by them IMHO.(In reply to Stef Walter from comment #3)


> > Simply allowing any traffic for guests using bridges is not a secure
> > solution. I think it would be bad to make security an opt in feature.
> 
> Libvirt comes with its own firewall rules for guests. See nwfilter. I don't
> understand why we need two competing firewalls fighting over libvirt bridges?
> 
> https://libvirt.org/formatnwfilter.html

This does not imply that firewalld should allow guest access to host services by default. The libvirt filters won't even be used by default with typical  desktop virt tools like virt-manager, and the default "clean-traffic" provided by libvirt is merely designed to prevent the guest doing IP & MAC address spoofing.
Comment 7 Fedora End Of Life 2016-11-24 07:45:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2016-12-20 09:57:52 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.